# -*- coding: utf-8 -*-
from PyQt5 import QtWidgets, QtCore
import sys
def on_clicked():
    arr = QtWidgets.QFileDialog.getOpenFileNames(parent=None, caption="Заголовок окна", directory="c:\\Python34", filter="All (*);;py (*.py *.pyw)", initialFilter="py (*.py *.pyw)")
    files = arr[0]
    if files != []:
        lineEdit1.setText(str(files))

def on_clicked_url():
    arr = QtWidgets.QFileDialog.getOpenFileUrls(parent=None, directory="file:///c:\\Python34", filter="All (*);;py (*.py *.pyw)", initialFilter="py (*.py *.pyw)")
    files = [a.toLocalFile() for a in arr[0]]
    if files != []:
        lineEdit2.setText(str(files))



app = QtWidgets.QApplication(sys.argv)
window = QtWidgets.QWidget()          # Родительский компонент - окно
window.setWindowTitle("Выбор файлов")
# Назначаем обработчиками функции
button1 = QtWidgets.QPushButton("Строка")
lineEdit1 = QtWidgets.QLineEdit()
button2 = QtWidgets.QPushButton("Url")
lineEdit2 = QtWidgets.QLineEdit()
grid = QtWidgets.QGridLayout()        # Создаем сетку
grid.addWidget(button1, 0, 0)         # Добавляем компоненты
grid.addWidget(lineEdit1, 0, 1)
grid.addWidget(button2, 1, 0)
grid.addWidget(lineEdit2, 1, 1)
button1.clicked.connect(on_clicked)
button2.clicked.connect(on_clicked_url)
window.setLayout(grid)
window.show()
sys.exit(app.exec_())
